package org.wso2.carbon.device.mgt.ios.payload.beans;

import java.util.List;

public class OnDemandRule {

    private OnDemandRuleAction onDemandRuleAction;
    private List<ActionParameter> actionParameters;
    private List<String> DNSDomainMatch;
    private List<String> DNSServerAddressMatch;
    private InterfaceTypeMatch interfaceTypeMatch;
    private String SSIDMatch;
    private String URLStringProbe;

    public OnDemandRuleAction getOnDemandRuleAction() {
        return onDemandRuleAction;
    }

    public void setOnDemandRuleAction(OnDemandRuleAction onDemandRuleAction) {
        this.onDemandRuleAction = onDemandRuleAction;
    }

    public List<ActionParameter> getActionParameters() {
        return actionParameters;
    }

    public void setActionParameters(List<ActionParameter> actionParameters) {
        this.actionParameters = actionParameters;
    }

    public List<String> getDNSDomainMatch() {
        return DNSDomainMatch;
    }

    public void setDNSDomainMatch(List<String> DNSDomainMatch) {
        this.DNSDomainMatch = DNSDomainMatch;
    }

    public List<String> getDNSServerAddressMatch() {
        return DNSServerAddressMatch;
    }

    public void setDNSServerAddressMatch(List<String> DNSServerAddressMatch) {
        this.DNSServerAddressMatch = DNSServerAddressMatch;
    }

    public InterfaceTypeMatch getInterfaceTypeMatch() {
        return interfaceTypeMatch;
    }

    public void setInterfaceTypeMatch(InterfaceTypeMatch interfaceTypeMatch) {
        this.interfaceTypeMatch = interfaceTypeMatch;
    }

    public String getSSIDMatch() {
        return SSIDMatch;
    }

    public void setSSIDMatch(String SSIDMatch) {
        this.SSIDMatch = SSIDMatch;
    }

    public String getURLStringProbe() {
        return URLStringProbe;
    }

    public void setURLStringProbe(String URLStringProbe) {
        this.URLStringProbe = URLStringProbe;
    }
}
